WSCONSCTL(8)

NAME
wsconsctl - get or set wscons state

SYNOPSIS
wsconsctl [-dkmn] [-f file] -a
wsconsctl [-dkmn] [-f file] name ...
wsconsctl [-dkmn] [-f file] -w name=value ...
wsconsctl [-dkmn] [-f file] -w name+=value ...

DESCRIPTION
The wsconsctl command displays or sets various wscons system driver variables. If a list of variables is present on the command line, then wsconsctl prints the current value of those variables for the specified device.

-a  Specify all variables for the device.

-d  Select the display portion of the device.

-f file
    Specify an alternative control device.

-k  Select the keyboard portion of the device (this is the default).

-m  Select the mouse portion of the device.

-n  Suppress the printing of the variable name in the output - only the value will appear.

-w  Set or modify the specified variables to the given values. The value can be specified as either an absolute value, by using the ‘=’ symbol or as a relative value, by using the ‘+=’ symbol. See the EXAMPLES section for more details.

The wsconsctl utility can be used to view and modify aspects of the keyboard, display, and mouse, using the standard, machine-independent workstation console device driver wscons(4).

The keyboard type can be modified, the keyboard bell's pitch, period, and duration can be modified, the typematic value can be changed, and the keyboard encoding can be modified to switch keys, should the user find a keyboard's default layout difficult to use. The keyboard types and other relevant definitions can all be found in the /usr/include/dev/wscons/wsksymdef.h file.

The mouse types are defined in the /usr/include/dev/wscons/wsconsio.h file.

The display types, height, width, depth (bits per pixel), color map size, and color map are defined in the /usr/include/dev/wscons/wsconsio.h file. There are also definitions relating to video control and cursor control, which are not applicable to all display types, and to text emulation and graphics (mapped) modes.

FILES

/dev/wskbd
    keyboard control device

/dev/wsmouse
    mouse control device

/dev/ttyE0
    display control device

EXAMPLES
The following are just a few examples of wsconsctl and its functionality.

    wsconsctl -w encoding=uk

Set a UK keyboard encoding. For a full list of supported keyboard encodings, see wskbd(4).

    wsconsctl -w map+="keysym Caps_Lock = Control_L"

Modify the current keyboard encoding so that when the Caps Lock key is pressed, the same encoding sequence as Left Control is sent. For a full list of keysyms and keycodes, please refer to the /usr/include/dev/wscons/wsksymdef.h file.

    wsconsctl -w encoding=us.swapctrlcaps

Set a US keyboard encoding, with the Caps Lock and Left Control keys swapped. The .swapctrlcaps encoding does not work for all national keyboard encodings. For most purposes, the ability to set the value returned by the Caps Lock key is enough - see the previous example for details.

    wsconsctl -w bell.pitch=1200

Set the bell pitch to be 1200.

    wsconsctl -w bell.pitch+=200

Add 200 to the current pitch of the bell.

    wsconsctl -d -w msg.kernel.attrs=color,hilit msg.kernel.bg=red msg.kernel.fg=brown

Set the color of kernel messages to brown on red with the highlighting flag set (becoming yellow on red).

    wsconsctl -w repeat.del1=200 repeat.deln=50

Set the initial delay for keyboard auto repeat to 200ms, and subsequent delays to 50ms.

    wsconsctl -w repeat.del1=0

Turn off auto repeat.

    wsconsctl -d -w scroll.fastlines=50

If scroll support is enabled in the kernel, set the number of lines used in the fast scroll function to 50.

    wsconsctl -d -w scroll.slowlines=2

If scroll support is enabled in the kernel, set the number of lines used in the slow scroll function to 2. In order to use this function, you have to have Cmd_ScrollSlowDown and Cmd_ScrollSlowUp defined in your keyboard map.

SEE ALSO
wscons(4), wskbd(4), wscons.conf(5), wsconscfg(8), wsfontload(8)

HISTORY
The wsconsctl command first appeared in NetBSD 1.4.